package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="DataGeneralCheckUp_T")
public class DataGeneralCheckUp extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectGeneralCheckUpFk")
	@NotNull(message="GeneralCheckUp tidak boleh kosong")
	@Caption(value="GeneralCheckUp")
	private GeneralCheckUp generalCheckUp;

	@Column(name = "ObjectDokterPemeriksaFk", insertable=false,updatable=false,nullable=false)
	private Integer generalCheckUpId;

	@Caption(value="noLabRad")
	@Column(name = "noLabRad", nullable = true)
	private String noLabRad;
	
	@Caption(value="tglHasil")
	@Column(name = "tglHasil", nullable = true)
	private Date tglHasil;
	
	@ManyToOne
	@JoinColumn(name = "ObjectDokterPemeriksaFk")
	@NotNull(message="Dokter Pemeriksa tidak boleh kosong")
	@Caption(value="Dokter Pemeriksa")
	private Pegawai dokterPemeriksa;
	
	@Column(name = "ObjectDokterPemeriksaFk", insertable=false,updatable=false)
	private Integer dokterPemeriksaId;

	public String getNoLabRad() {
		return noLabRad;
	}

	public void setNoLabRad(String noLabRad) {
		this.noLabRad = noLabRad;
	}

	public Date getTglHasil() {
		return tglHasil;
	}

	public void setTglHasil(Date tglHasil) {
		this.tglHasil = tglHasil;
	}

	public Pegawai getDokterPemeriksa() {
		return dokterPemeriksa;
	}

	public void setDokterPemeriksa(Pegawai dokterPemeriksa) {
		this.dokterPemeriksa = dokterPemeriksa;
	}

	public GeneralCheckUp getGeneralCheckUp() {
		return generalCheckUp;
	}

	public void setGeneralCheckUp(GeneralCheckUp generalCheckUp) {
		this.generalCheckUp = generalCheckUp;
	}

}
